import React, { Component, createElement } from 'react';
import 'whatwg-fetch';

class App extends Component {
  constructor(prop) { 
    super(prop);
    this.state = {
      data: []
    };
  } 

  updateData(data) {
    this.setState({
      data
    });
  }

  load() {
    fetch('data.txt')  
      .then(response => response.text())
      .then(data => data.split('\n'))
      .then(data => this.updateData(data));
  }
  
  change() {
    const data = this.state.data;
    const value = parseInt(data[5]);
    data[5] = value * 10;
    
    this.setState({
       data
    });
  }
  
  render() {
    const listItems = this.state.data.map((line, index) => createElement('li', {key: index.toString() }, line));
    
    return (
      createElement('div', null,
        createElement('div', null,
          createElement('button', {onClick: () => this.load() }, 'load'), 
          createElement('button', {onClick: () => this.change() }, 'change')),
        createElement('ul', null, listItems)));
  }
}

export default App;
